#!/usr/bin/gawk -f

BEGIN{
 pi=3.1415926535;
}
(FNR==1){
  s=0.0;
  rho=$2*1000.;
}
(FNR>1){
  s=s+$2**3*$3;
}
ENDFILE{
  s=4./3.*pi*rho*1.e9*s;
  d=2.*(s/(4./3.*pi*rho))**(1./3.)
  print "mtot = ", s/1e21, " 10^21 kg = " s/6.e24, " M_E";
  print "dtot = ", d, " m = " d/1.e3, " km";
}

